Name:          jexcelapi
Version:       2.6.12
Release:       %mkrel 1
Summary:       A Java API to read, write, and modify Excel spreadsheets
Group:         Development/Java
License:       LGPL
Url:           http://www.andykhan.com/jexcelapi/
Source0:       http://www.andykhan.com/jexcelapi/jexcelapi_2_6_12.tar.gz

Source1:       jexcelapi-2.6.12-pom.xml
Patch0:        jexcelapi-2.6.12-build_xml.patch
Patch1:        jexcelapi-2.6.12-java_cup.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: java_cup
BuildRequires: jflex
BuildRequires: jlex
BuildRequires: liblog4j-java

Requires:      liblog4j-java

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
JExcelApi is a java library which provides the ability to read, write, and
modify Microsoft Excel spreadsheets.

Features:
- Reads data from Excel 95, 97, 2000 workbooks
- Reads and writes formulas (Excel 97 and later only)
- Generates spreadsheets in Excel 97 format
- Supports font, number and date formatting
- Supports shading and colouring of cells
- Modifies existing worksheets

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%package demo
Summary:       Demos for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description demo
This package contains demonstrations and samples for %{name}

%prep
%setup -q -n jexcelapi
%patch0 -p0
%patch1 -p0
mkdir -p build/out

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;
find -name "*.#*" -exec rm -f {} \;
find -name "*.java~" -exec rm -f {} \;

cat > build.properties << __GIL
logger=Log4jLogger
loggerClasspath=$(build-classpath log4j)
__GIL

%build

cd build
export CLASSPATH=$(build-classpath jlex)
ant clean
ant jxlall

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}

install -m 0644 jxl.jar %{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar
install -m 0644 jxl-demo.jar %{buildroot}%{_javadir}/%{name}/%{name}-demo-%{version}.jar

(
  cd %{buildroot}%{_javadir}/%{name}
  for jar in %{name}*.jar ; do
    ln -sf ${jar} $(echo $jar| sed "s|%{name}|jxl|g")
  done
  for jar in *-%{version}.jar ; do
    ln -sf ${jar} $(echo $jar| sed "s|-%{version}\.jar|.jar|g")
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_to_maven_depmap %{name} jxl %{version} JPP/%{name} %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  docs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0644 *.dtd *.xls %{buildroot}%{_datadir}/%{name}/

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/%{name}-%{version}.jar
%{_javadir}/%{name}/%{name}.jar
%{_javadir}/%{name}/jxl-%{version}.jar
%{_javadir}/%{name}/jxl.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc index.html tutorial.html

%files demo
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.dtd
%{_datadir}/%{name}/*.xls
%{_javadir}/%{name}/*demo*jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 19 2011 dams <dams> 2.6.12-1.mga2
+ Revision: 156523
- update mkrel

  + gil <gil>
    - imported package jexcelapi

